opsi 4.2 on ARM and more updates in testing/stable

Antworten
Benutzeravatar
m.radtke
uib-Team
Beiträge: 1112
Registriert: 10 Jun 2015, 12:19

opsi 4.2 on ARM and more updates in testing/stable

Beitrag von m.radtke »

Dear opsi users

hereby we release updated packges in opsi 4.1 and opsi 4.2 in testing and stable

================

Important notices for this release:

Alma Linux and Rocky Linux are now officially supported ad opsi servers in opsi 4.2 stable

With opsi 4.1 we introduced ARM (armv7) packages on Debian 8, 9 and 10. Within the process of the creation of opsi 4.2 most of the server scripts like opsiconfd or opsi-setup were build as binary files. However these did not work on ARM devices. We did put in a lot of work to make ARM work with opsi 4.2. We hereby release tetsing support for Debian 9, 10 and 11 on AARCH64 ARM devices.

"The last Windows" successor Windows 11 and Windows Server 2022 are now available within the stable packages.

Linux netboot packages sometimes failed to install the opsi-linux-client-agent properly due to networking problems. These packages now have a small addition to verify network connection to the opsi config-server before starting the opsi-linux-client-agent installation.

=====================================
Updated packages in testing:
=====================================

Windows Localboot:

* opsi-configed 4.1.9.11.1-1
* opsi-script 4.12.4.28
* opsi-winst 4.12.4.28

Linux Localboot:

* opsi-configed 4.1.9.11.1-1
* opsi-script 4.12.4.28
* opsi-winst 4.12.4.28

opsi-local-image Localboot:

* none

macOS Localboot:

* opsi-configed 4.1.9.11.1-1
* opsi-script 4.12.4.28
* opsi-winst 4.12.4.28

Windows Netboot:

* none

Linux Netboot:

* alma8 4.2.0.1-3
* centos70 4.2.0.1-4
* centos8 4.2.0.1-3
* debian 4.2.0.1-2
* debian10 4.2.0.1-4
* debian9 4.2.0.1-4
* debian11 4.2.0.1-4
* mint20-1 4.2.0.1-2
* mint20-2 4.2.0.1-2
* opensusel15-2 4.2.0.1-3
* opensusel15-3 4.2.0.1-3
* redhat70 4.2.0.1-4
* redhat8 4.2.0.1-3
* rocky8 4.2.0.1-3
* sles12sp* 4.2.0.1-3
* sles15-1 4.2.0.1-2
* sles15-2 4.2.0.1-2
* sles15-3 4.2.0.1-2
* ubuntu 4.2.0.1-2
* ubuntu18-04 4.2.0.1-4
* ubuntu20-04 4.2.0.1-4
* ucs44 4.2.0.1-2

opsi-local-image Netboot:

* opsi-local-image-backup 4.2.0.1-1
* opsi-local-image-restore 4.2.0.1-1

opsi-local-image Localboot:

* opsi-local-image-backup-starter 4.2.0.1-1

opsi Server:

* opsi-linux-bootimage 20210920-1 (opsi 4.2)

opsi Manuals:

* none

=====================================
Updated packages in stable:
=====================================

Windows Localboot:

* none

Linux Localboot:

* l-opsi-server 4.2.0.5-2

opsi-local-image Localboot:

* none

macOS Localboot:

* none

Windows Netboot:

* win11-x64 4.2.0.1-4
* win2022 4.2.0.1-4
* wipedisk 2.2-1

Linux Netboot:

* wipedisk 2.2-1

opsi-local-image Netboot:

* none

opsi Server:

* none

opsi Manuals:

* none


##########

With kind regards
the opsi Team
Mathias Radtke

##########

Hier kommen die

Changelogs

Code: Alles auswählen

opsi-script (4.12.4.28) stable; urgency=low

  * osparser: do XMLPatch2Main: new xml2-section commands:
     * setNodePair <keyNodeName> <keyNodeTextContent> <valueNodeName> <valueNodeTextContent>
       used for Apple info.plist
  * osxmlsections: TuibXMLDocument: new:
     setNodePair(keyNodeName: string; keyNodeTextContent: string;
       valueNodeName: string; valueNodeTextContent: string): boolean;
  * Execwith: if there is a parameter '/HookScript <path to script file>',
    then the existing 'script file' will be called with the temporary file
    as parameter before passing it to the interpreter.
    The call of the hookscript has a 40 sec Timeout
  * osfunc: additional log at FileCheckDate
  * DPI awareness True/PM_V2
  * osparser: doAktionen: FBatchOberflaeche.LoadSkin(''); and Processmess to reload DPI scaling
  * osparser: execPowershellCall has now additionl parameter optionstr that may hold additional
     execwith parameters
  * osparser: getDecimalCompareSign (used by compareDotSeperatedNumbers):
      now support leading zeros (then it will handled as float starting with 0.)
      now support a letter as last part of the number (1.0.23b like is used at openssl versions)
  * osparser: executewith: call powershell scripts with -file parameter in order to get the correct exitcode
  * osparser: fix Access Violation in CreateAndProcessScript on empty scriptfiles.

-- d.oertel <d.oertel@uib.de> Tue, 31 Aug 2021 15:00
-----------------------------------

opsi-configed (4.1.9.11.1-1) TESTING; urgency=medium
  * avoiding NPE when used with an opsi-client-agent without property 
on_shutdown_install"

-- r.roeder <r.roeder@uib.de> Fri, 01 Oct 2021 17:10:40 +0100

opsi-configed (4.1.9.10.1-2) EXPERIMENTAL; urgency=medium
  * Linux script uses 64 bit bundled java

-- r.roeder <r.roeder@uib.de> Tue, 17 Aug 2021 13:10:40 +0100

opsi-configed (4.1.9.10.1-1) EXPERIMENTAL; urgency=medium
  * merging with lz4 patch

-- r.roeder <r.roeder@uib.de> Fri, 23 Jul 2021 11:10:40 +0100
-----------------------------------

alma8 (4.2.0.1-3) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

centos70/redhat70 (4.2.0.1-4) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

debian/ubuntu (4.2.0.1-2) testing; urgency=low

  * fixed error on new opsi-linux-client-agent

 -- Mathias Radtke <m.radtke@uib.de> Fri Oct 01 14:00:00 2021 +0200

-----------------------------------

debian9/10/11 (4.2.0.1-4) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

mint20-1/20-2 (4.2.0.1-2) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

opensusel15-2/15-3 (4.2.0.1-3) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

sles12* (4.2.0.1-3) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

sles15* (4.2.0.1-3) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

ubuntu18-04/20-04 (4.2.0.1-4) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

ucs44 (4.2.0.1-2) testing; urgency=low

  * patching configserver ip address into olca-install.service file

 -- Mathias Radtke <m.radtke@uib.de> Mon Sep 27 14:13:18 2021 +0200

-----------------------------------

windows (4.2.0.1-4) testing; urgency=low

  * fixed opsi-python test in postinst

 -- Mathias Radtke <m.radtke@uib.de> Thu Aug 19 10:16:31 2021 +0200

-----------------------------------

l-opsi-server (4.2.0.5-2); testing; urgency=low

  * fixed error with l-opsi-server-quick-install

 -- Mathias Radtke <m.radtke@uib.de> Thu, 30 Sep 2021 12:00:00 +0200

-----------------------------------

opsi-local-image-backup/restore (4.2.0.1-1) stable; urgency=low

  * fix progressbar output

-- detlef oertel <d.oertel@uib.de>  Mon, 12 Jul 2021 15:00:00 +0200

-----------------------------------

opsi-local-image-backup-starter (4.2.0.1-1) stable; urgency=low

 * fixed productName
 * shebang fix 

 -- detlef oertel <d.oertel@uib.de>  Tue, 27 Jul 2021 15:00:00 +0200


opsi-linux-bootimage (20210920-1) testing; urgency=low

  * using SMB vers=3 instead of vers=3.0

 -- Mathias Radtke <m.radtke@uib.de> Mon, 20 Sep 2021 14:55:00 +0200

opsi-linux-bootimage (20210916-1) testing; urgency=low

  * added wimlib
  * added hivex
  * added patch for better Hpyer-V support

 -- Mathias Radtke <m.radtke@uib.de> Thu, 16 Sep 2021 10:30:00 +0200

opsi-linux-bootimage (20210906-1) testing; urgency=low

  * Allow to process file and kernel params at once
  * made link detection faster

 -- Jan Schneider <j.schneider@uib.de> Mon, 06 Sep 2021 16:09:00 +0200

Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.
Antworten